package com.bzd.web.controller.mdyy;

import com.bzd.common.annotation.Log;
import com.bzd.common.config.dao.PageData;
import com.bzd.common.core.controller.BaseController;
import com.bzd.common.core.domain.AjaxResult;
import com.bzd.common.core.page.TableDataInfo;
import com.bzd.common.enums.BusinessType;
import com.bzd.system.service.PharmaceuticalService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;
import com.bzd.system.service.mdyy.SMdyyglMdysjqStoreweightsettingService;

import java.util.List;

/**
*
* 门店加权设置表 前端控制器Controller
* @author LiXiangFei
* @since 2024-10-15
*/
@Controller
@RequestMapping(value = "mdyygl/smdyyglmdysjqstoreweightsetting")
public class SMdyyglMdysjqStoreweightsettingController extends BaseController {

    // 页面跳转前缀
    private String prefix = "mdyy";

    @Autowired
    private SMdyyglMdysjqStoreweightsettingService sMdyyglMdysjqStoreweightsettingService;

    /**
    * 门店加权设置表 新增页面跳转
    *
    * @return
    */
    @RequiresPermissions("mdyygl:mdyy:view")
    @GetMapping("/sMdyyglMdysjqStoreweightsettingAdd")
    public String add() {
        return prefix + "/SMdyyglMdysjqStoreweightsettingAdd";
    }

    /**
    * 门店加权设置表 新增
    *
    * @return
    */
    @Log(title = "门店加权设置表新增", businessType = BusinessType.INSERT)
    @PostMapping("/sMdyyglMdysjqStoreweightsettingAdd")
    @ResponseBody
    public AjaxResult addSave() throws Exception {
        PageData pd = this.getPageData();
        try {
            Integer result = sMdyyglMdysjqStoreweightsettingService.addSMdyyglMdysjqStoreweightsetting(pd);
            if (result == 1) {
                return AjaxResult.success("新增成功");
            } else {
                logger.error("Failed to update 表skccrkckreceiptinfo with ID: {}", pd.get("id"));
                return AjaxResult.error("新增失败");
            }
        } catch (Exception e) {
            logger.error("Error occurred while updating 表skccrkckreceiptinfo with ID: {}, Exception: {}", pd.get("id"), e.getMessage(), e);
            return AjaxResult.error("系统异常：" + e.getMessage());
        }
    }

    /**
    * 门店加权设置表 查询页面跳转
    *
    * @return
    */
    @RequiresPermissions("mdyygl:mdyy:view")
    @GetMapping("/sMdyyglMdysjqStoreweightsettingView")
    public String smdyyglmdysjqstoreweightsettingListView() {
        return prefix + "/SMdyyglMdysjqStoreweightsettingList";
    }

    /**
    * 门店加权设置表 数据查询
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("mdyygl:mdyy:sMdyyglMdysjqStoreweightsettingList")
    @PostMapping("/sMdyyglMdysjqStoreweightsettingList")
    @ResponseBody
    public TableDataInfo smdyyglmdysjqstoreweightsettingList() throws Exception {
    PageData pd = this.getPageData();
    startPage();
    List<PageData> pageData = sMdyyglMdysjqStoreweightsettingService.findSMdyyglMdysjqStoreweightsettingList(pd);
        return getDataTable(pageData);
    }

    /**
    * 门店加权设置表 数据删除 根据id
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("mdyygl:mdyy:remove")
    @Log(title = "门店加权设置表删除", businessType = BusinessType.DELETE)
    @PostMapping("/sMdyyglMdysjqStoreweightsettingRemove")
    @ResponseBody
    public AjaxResult smdyyglmdysjqstoreweightsettingRemove() throws Exception {
        PageData pd = this.getPageData();
        Integer integer = sMdyyglMdysjqStoreweightsettingService.SMdyyglMdysjqStoreweightsettingRemove(pd);
        return toAjax(integer);
    }

    /**
    * 门店加权设置表 数据修改
    *
    * @return
    * @throws Exception
    */
    @RequiresPermissions("mdyygl:mdyy:edit")
    @GetMapping("/sMdyyglMdysjqStoreweightsettingEdit/{id}")
    public String smdyyglmdysjqstoreweightsettingView(@PathVariable("id") Long id, ModelMap mmap) throws Exception {
        PageData pd = this.getPageData();
        pd.put("id", id);
        PageData pageData = sMdyyglMdysjqStoreweightsettingService.findSMdyyglMdysjqStoreweightsettingList(pd).get(0);
        mmap.putAll(pageData);
        if(null!=pd.getString("status")){
            return prefix+ "/smdyyglmdysjqstoreweightsettingPageEdit";
        }
        return prefix+ "/smdyyglmdysjqstoreweightsettingEdit";
    }

    /**
    * 门店加权设置表保存修改的数据
    */
    @RequiresPermissions("mdyygl:mdyy:edit")
    @Log(title = "门店加权设置表修改", businessType = BusinessType.UPDATE)
    @PostMapping("/sMdyyglMdysjqStoreweightsettingEdit")
    @ResponseBody
    public AjaxResult smdyyglmdysjqstoreweightsettingEditSave() throws Exception {
        PageData pd = this.getPageData();
        pd.put("up", "up");
        try {
            Integer updateResult = sMdyyglMdysjqStoreweightsettingService.updateSMdyyglMdysjqStoreweightsetting(pd);
            if (updateResult == 1) {
                // 成功更新
                return AjaxResult.success("修改成功");
            } else {
                // 更新失败
                logger.error("Failed to update 表smdyyglmdysjqstoreweightsetting with ID: {}", pd.get("id"));
                return AjaxResult.error("修改失败");
            }
        } catch (Exception e) {
            // 异常处理
            logger.error("Error occurred while updating 表smdyyglmdysjqstoreweightsetting with ID: {}, Exception: {}", pd.get("id"), e.getMessage(), e);
            return AjaxResult.error("系统异常：" + e.getMessage());
        }
    }
}
